# Generated by Django 3.2.13 on 2022-07-04 01:35

from django.db import migrations
from django.db.models import F


def merge_finish_stopped_dates(apps, schema_editor):
    """Combine the finished and stopped dates fields"""
    db_alias = schema_editor.connection.alias
    readthrough_model = apps.get_model("bookwyrm", "ReadThrough")
    readthrough_model.objects.using(db_alias).filter(stopped_date__isnull=False).update(
        finish_date=F("stopped_date")
    )


def unmerge_finish_stopped_dates(apps, schema_editor):
    """Combine the finished and stopped dates fields"""
    db_alias = schema_editor.connection.alias
    readthrough_model = apps.get_model("bookwyrm", "ReadThrough")
    readthrough_model.objects.using(db_alias).filter(
        read_status="stopped-reading",
        finish_date__isnull=False,
    ).update(stopped_date=F("finish_date"))


class Migration(migrations.Migration):

    dependencies = [
        ("bookwyrm", "0151_auto_20220703_1842"),
    ]

    operations = [
        migrations.RemoveField(
            model_name="readthrough",
            name="is_active",
        ),
        migrations.RunPython(merge_finish_stopped_dates, unmerge_finish_stopped_dates),
        migrations.RemoveField(
            model_name="readthrough",
            name="stopped_date",
        ),
    ]
